Main Page Alphabetical List Data Structures File List Data Fields Globals

# types.h File Reference

## Data Structures
struct | _wmfAPI
struct | _wmfAPI_Options
struct | _wmfAttributes
struct | _wmfAttributeStore
struct | _wmfD_Coord
struct | _wmfD_Rect
struct | _wmfFontMap
struct | _wmfHead
struct | _wmfImage
struct | _wmfMapping
struct | _wmfMetaHeader
struct | _wmfPlaceableMetaHeader
struct | _wmfStream
## Defines
#define | WMF_ERROR_STATE(Z) (((wmfAPI*)(Z))->err)
#define | WMF_READ(Z) ((Z)->bbuf.read ((Z)->buffer_data))
#define | WMF_SEEK(Z, P) ((Z)->bbuf.seek ((Z)->buffer_data,P))
#define | WMF_TELL(Z) ((Z)->bbuf.tell ((Z)->buffer_data))
## Typedefs
typedef enum _wmf_bool_t | wmf_bool_t
typedef enum _wmf_error_t | wmf_error_t
typedef enum _wmf_page_t | wmf_page_t
typedef enum _wmf_image_t | wmf_image_t
typedef int(* | wmfRead )(void *)
typedef int(* | wmfSeek )(void *, long)
typedef long(* | wmfTell )(void *)
typedef int(* | wmfSPutS )(char *, void *)
typedef int(* | wmfReset )(void *)
typedef int(* | wmfStatus )(void *context, float fraction)
typedef _wmfD_Coord | wmfD_Coord
typedef _wmfD_Rect | wmfD_Rect
typedef _wmfMapping | wmfMapping
typedef _wmfFontMap | wmfFontMap
typedef _wmfHead | wmfHead
typedef _wmfMetaHeader wmfMetaHeader * | wmfFile
typedef _wmfPlaceableMetaHeader | wmfPlaceableMetaHeader
typedef _wmfAPI_Options | wmfAPI_Options
typedef _wmfAPI | wmfAPI
typedef _wmfStream | wmfStream
typedef _wmfImage | wmfImage
typedef _wmfAttributes | wmfAttributes
typedef _wmfAttributeStore | wmfAttributeStore
## Enumerations
enum | _wmf_bool_t { wmf_false = 0, wmf_true }
enum | _wmf_error_t { wmf_E_None = 0, wmf_E_InsMem, wmf_E_BadFile, wmf_E_BadFormat, wmf_E_EOF, wmf_E_DeviceError, wmf_E_Glitch, wmf_E_Assert, wmf_E_UserExit }
enum | _wmf_page_t { wmf_P_A5, wmf_P_A4, wmf_P_A3, wmf_P_A2, wmf_P_A1, wmf_P_A0, wmf_P_B5, wmf_P_Letter, wmf_P_Legal, wmf_P_Ledger, wmf_P_Tabloid }
enum | _wmf_image_t { wmf_I_gd }

## Define Documentation

#define WMF_ERROR_STATE | ( | Z |  | ) | (((wmfAPI*)(Z))->err)

| WMF_ERROR_STATE(wmfAPI* API) -> (wmf_error_t) library error state

#define WMF_READ | ( | Z |  | ) | ((Z)->bbuf.read ((Z)->buffer_data))

#define WMF_SEEK | ( | Z,
|  | P |  | ) | ((Z)->bbuf.seek ((Z)->buffer_data,P))

#define WMF_TELL | ( | Z |  | ) | ((Z)->bbuf.tell ((Z)->buffer_data))

## Typedef Documentation

typedef enum _wmf_bool_t wmf_bool_t

| wmf_bool_t is the (enumeration) type used for boolean

typedef enum _wmf_error_t wmf_error_t

| wmf_error_t is the (enumeration) type used for the library error state.

typedef enum _wmf_image_t wmf_image_t

| wmf_image_t is the (enumeration) type used to indicate image type.

typedef enum _wmf_page_t wmf_page_t

| wmf_page_t is the (enumeration) type used to indicate page size.

typedef struct _wmfAPI wmfAPI

typedef struct _wmfAPI_Options wmfAPI_Options

typedef struct _wmfAttributes wmfAttributes

typedef struct _wmfAttributeStore wmfAttributeStore

typedef struct _wmfD_Coord wmfD_Coord

typedef struct _wmfD_Rect wmfD_Rect

typedef struct _wmfMetaHeader wmfMetaHeader* wmfFile

typedef struct _wmfFontMap wmfFontMap

typedef struct _wmfHead wmfHead

typedef struct _wmfImage wmfImage

typedef struct _wmfMapping wmfMapping

typedef struct _wmfPlaceableMetaHeader wmfPlaceableMetaHeader

typedef int(* wmfRead)(void*)

| User redefinable function for input-stream access: wmfRead: returns unsigned char cast to int, or EOF See wmf_bbuf_input().

typedef int(* wmfReset)(void*)

| User redefinable function for character-based output-stream: wmfReset: resets stream to start; returns non-zero on failure See wmfStream.

typedef int(* wmfSeek)(void*,long)

| User redefinable function for input-stream access: wmfSeek: returns (-1) on error, else 0 See wmf_bbuf_input().

typedef int(* wmfSPutS)(char*,void*)

| User redefinable function for character-based output-stream: wmfSPutS: returns EOF on error, else 0 See wmfStream.

typedef int(* wmfStatus)(void* context,float fraction)

  | User definable function indicating progress. Parameters:
  context | handle for user data
  fraction | fraction of metafile parsed so far
Returns: Should return non-zero only if premature exit is required for whatever reason. See wmf_status_function().

typedef struct _wmfStream wmfStream

typedef long(* wmfTell)(void*)

| User redefinable function for input-stream access: wmfTell: returns (-1) on error, else pos See wmf_bbuf_input().

## Enumeration Type Documentation

enum _wmf_bool_t

  | wmf_bool_t is the (enumeration) type used for boolean Enumeration values:
  wmf_false | False
  wmf_true | True

enum _wmf_error_t

  | wmf_error_t is the (enumeration) type used for the library error state. Enumeration values:
  wmf_E_None | No error.
  wmf_E_InsMem | An attempt to allocate memory has failed.
  wmf_E_BadFile | Attempt to open an unreadable file, or to read from an unopened file.
  wmf_E_BadFormat | The metafile, if indeed it is a metafile, has been corrupted.
  wmf_E_EOF | An unexpected end-of-file has been reached.
  wmf_E_DeviceError | Device-layer error.
  wmf_E_Glitch | Programmer's error. Sorry.
  wmf_E_Assert | Internally forced error.
  wmf_E_UserExit | The status function has returned non-zero; exit is premature.

enum _wmf_image_t

  | wmf_image_t is the (enumeration) type used to indicate image type. Enumeration values:
  wmf_I_gd |

enum _wmf_page_t

  | wmf_page_t is the (enumeration) type used to indicate page size. Enumeration values:
  wmf_P_A5 | A5 (420 x 595)
  wmf_P_A4 | A4 (595 x 842)
  wmf_P_A3 | A3 (842 x 1191)
  wmf_P_A2 | A2 (1191 x 1684)
  wmf_P_A1 | A1 (1684 x 2384)
  wmf_P_A0 | A0 (2384 x 3370)
  wmf_P_B5 | B5 (516 x 729)
  wmf_P_Letter | Letter (612 x 792)
  wmf_P_Legal | Legal (612 x 1008)
  wmf_P_Ledger | Ledger (1224 x 792)
  wmf_P_Tabloid | Tabloid (792 x 1224)